package kim.apidoc.core.resolver;

import kim.apidoc.core.ApiDoc;
import kim.apidoc.core.common.description.TypeDescription;
import kim.apidoc.core.common.description.ArrayTypeDescription;
import com.github.javaparser.resolution.types.ResolvedType;

public class ArrayTypeResolver implements TypeResolver {
    @Override
    public boolean accept(ResolvedType type) {
        return type.isArray();
    }

    @Override
    public TypeDescription resolve(ResolvedType type) {
        return new ArrayTypeDescription(ApiDoc.getInstance().getTypeResolvers().resolve(type.asArrayType().getComponentType()));
    }

}
